# Couenne::exprClone Class Reference

expression clone (points to another expression) More...

`#include <CouenneExprClone.hpp>`

Inheritance diagram for Couenne::exprClone:

List of all members.

## Public Member Functions
| exprClone (expression *copy)
| Constructor.
| exprClone (const exprClone &e, Domain *d=NULL)
| copy constructor
expression * | clone (Domain *d=NULL) const
| cloning method
virtual | ~exprClone ()
| Destructor.
virtual void | print (std::ostream &out=std::cout, bool descend=false) const
| Printing.
CouNumber | Value () const
| value
CouNumber | operator() ()
| null function for evaluating the expression

## Detailed Description

expression clone (points to another expression)

Definition at line 24 of file CouenneExprClone.hpp.

## Constructor & Destructor Documentation

Couenne::exprClone::exprClone | ( | expression * | copy | ) | `[inline]`

Constructor.

Definition at line 29 of file CouenneExprClone.hpp.

Referenced by clone().

Couenne::exprClone::exprClone | ( | const exprClone & | e,
|  | Domain * | d = `NULL` |
| ) |  |  | `[inline]`

copy constructor

Definition at line 33 of file CouenneExprClone.hpp.

virtual Couenne::exprClone::~exprClone | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 47 of file CouenneExprClone.hpp.

References Couenne::exprCopy::copy_.

## Member Function Documentation

expression* Couenne::exprClone::clone | ( | Domain * | d = `NULL` | ) | const`[inline, virtual]`

cloning method

Reimplemented from Couenne::exprCopy.

Definition at line 38 of file CouenneExprClone.hpp.

References exprClone().

virtual void Couenne::exprClone::print | ( | std::ostream & | out = `std::cout`,
|  | bool | descend = `false` |
| ) |  |  | const`[virtual]`

Printing.

Reimplemented from Couenne::exprCopy.

CouNumber Couenne::exprClone::Value | ( |  | ) | const`[inline, virtual]`

value

Reimplemented from Couenne::exprCopy.

Definition at line 58 of file CouenneExprClone.hpp.

References Couenne::exprCopy::copy_, and Value().

Referenced by Value().

CouNumber Couenne::exprClone::operator() | ( |  | ) | `[inline, virtual]`

null function for evaluating the expression

Reimplemented from Couenne::exprCopy.

Definition at line 62 of file CouenneExprClone.hpp.

References Couenne::exprCopy::copy_.

The documentation for this class was generated from the following file:

- CouenneExprClone.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines